> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/test-runs/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/test-runs/llms-full.txt.

# Submit a QA test run

POST https://tester.army/v1/runs
Content-Type: application/json

Submit an async QA test run. Returns immediately with a run ID. Poll GET /v1/runs/{id} for status, or provide a webhookUrl to receive a callback on completion.

Reference: https://docs.tester.army/api-reference/tester-army-api/test-runs/submit-a-qa-test-run

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/runs:
    post:
      operationId: submit-a-qa-test-run
      summary: Submit a QA test run
      description: >-
        Submit an async QA test run. Returns immediately with a run ID. Poll GET
        /v1/runs/{id} for status, or provide a webhookUrl to receive a callback
        on completion.
      tags:
        - subpackage_testRuns
      parameters:
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Run queued successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitRunResponse'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitAQaTestRunRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitAQaTestRunRequestUnauthorizedError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitAQaTestRunRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitAQaTestRunRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitAQaTestRunRequestGatewayTimeoutError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRunRequest'
servers:
  - url: https://tester.army
components:
  schemas:
    SubmitRunRequest:
      type: object
      properties:
        prompt:
          type: string
          description: Testing prompt describing what feature to test
        webhookUrl:
          type: string
          format: uri
          description: Optional URL to receive a POST callback when the run completes
      required:
        - prompt
      title: SubmitRunRequest
    SubmitRunResponseStatus:
      type: string
      enum:
        - queued
      description: Initial status
      title: SubmitRunResponseStatus
    SubmitRunResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique run identifier
        status:
          $ref: '#/components/schemas/SubmitRunResponseStatus'
          description: Initial status
        createdAt:
          type: string
          format: date-time
          description: When the run was created
      required:
        - id
        - status
        - createdAt
      title: SubmitRunResponse
    SubmitAQaTestRunRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: SubmitAQaTestRunRequestBadRequestError
    SubmitAQaTestRunRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: SubmitAQaTestRunRequestUnauthorizedError
    SubmitAQaTestRunRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: SubmitAQaTestRunRequestTooManyRequestsError
    SubmitAQaTestRunRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: SubmitAQaTestRunRequestInternalServerError
    SubmitAQaTestRunRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: SubmitAQaTestRunRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/runs"

payload = { "prompt": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/runs';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"prompt":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/runs"

	payload := strings.NewReader("{\n  \"prompt\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/runs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"prompt\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/runs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"prompt\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/runs', [
  'body' => '{
  "prompt": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/runs");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"prompt\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["prompt": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/runs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```